﻿using System.Configuration;

namespace SitemapUpdateNotification.Configuration
{
    [ConfigurationCollection(typeof(NotificationTargetElement))]
    internal class NotificationTargetsConfiguration : ConfigurationElementCollection
    {

        protected override ConfigurationElement CreateNewElement()
        {
            return new NotificationTargetElement();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((NotificationTargetElement)element).TargetUrl;
        }

        protected override string ElementName
        {

            get { return "NotificationTargetElement"; }

        }

        public override ConfigurationElementCollectionType CollectionType
        {

            get { return ConfigurationElementCollectionType.AddRemoveClearMap; }

        }

        public NotificationTargetElement this[int index]
        {

            get { return (NotificationTargetElement)BaseGet(index); }

            set
            {

                if (BaseGet(index) != null)
                {

                    BaseRemoveAt(index);

                }

                BaseAdd(index, value);

            }

        }
    }
}
