﻿using System.Configuration;

namespace SitemapUpdateNotification.Configuration
{
    internal class SitemapUpdateNotificationConfiguration : ConfigurationSection
    {
        public static SitemapUpdateNotificationConfiguration GetConfiguration()
        {
            SitemapUpdateNotificationConfiguration configuration = ConfigurationManager.GetSection("sitemapUpdateNotification") as SitemapUpdateNotificationConfiguration;

            if (configuration != null)
                return configuration;

            return new SitemapUpdateNotificationConfiguration();
        }

        [ConfigurationProperty("sitemapUrl", IsRequired = true)]
        public string SitemapUrl
        {
            get
            {
                return (string)this["sitemapUrl"];
            }
        }

        [ConfigurationProperty("notificationTargets", IsRequired = false, IsDefaultCollection = true)]
        public NotificationTargetsConfiguration NotificationTargets
        {
            get
            {
                return this["notificationTargets"] as NotificationTargetsConfiguration;
            }
        }
    }
}
